%define upstream_name	 Module-Reload
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Reload %%INC files when updated on disk
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
When Perl pulls a file via C<require>, it stores the filename in the
global hash C<%%INC>.  The next time Perl tries to C<require> the same
file, it sees the file in C<%%INC> and does not reload from disk.  This
module's handler iterates over C<%%INC> and reloads the file if it has
changed on disk. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-2.mga6
+ Revision: 1030283
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.100.0-1.mga6
+ Revision: 1002143
- update to 1.10

* Mon Feb 08 2016 umeabot <umeabot> 1.80.0-5.mga6
+ Revision: 949076
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 788916
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-3.mga5
+ Revision: 742985
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-2.mga5
+ Revision: 685473
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 sander85 <sander85> 1.80.0-1.mga5
+ Revision: 634805
- update to 1.08

* Fri Oct 18 2013 umeabot <umeabot> 1.70.0-3.mga4
+ Revision: 513100
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 369968
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.70.0-1.mga1
+ Revision: 13075
- imported package perl-Module-Reload


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 410093
- rebuild using %%perl_convert_version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.07-2mdv2009.0
+ Revision: 136290
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 03 2007 Anssi Hannula <anssi@mandriva.org> 1.07-2mdv2008.0
+ Revision: 34870
- annual rebuild


* Sun May 28 2006 Anssi Hannula <anssi@mandriva.org> 1.07-1mdv2007.0
- initial Mandriva package

